AGGIORNARE KDE 3.5.4 ALLA 3.5.5

11 risposte [Ultimo messaggio]
Ritratto di sneik85
sneik85
(Junior)
Offline
Junior
Iscritto: 31/10/2006
Messaggi: 6

ragazzi come devo fare per aggiornare kde??io ho mandriva 2007.0 ho già utilizzato il comando urpm.addmedia e adesso mi ritrovo tutti i pacchetti ma nn so che farmene!!quando ho tentato di installarlo dal programma rpmdrake dopo un 'ora di scaricamente mi da l errore:

Si è verificato un problema durante l'installazione:

file /usr/lib/libarts_akode.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_akode.so.0.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_audiofile.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_audiofile.so.0.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_mpeglib-0.3.0.so.0.0.3 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_mpeglib.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_splay.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_splay.so.0.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_xine.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libarts_xine.so.0.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libaudiocdplugins.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libaudiocdplugins.so.1.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libkcddb.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libkcddb.so.1.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libkmidlib.la from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/lib/libkmidlib.so.0.0.0 from install of libkdemultimedia1-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0
file /usr/bin/mpeglibartsplay from install of kdemultimedia-3.5.5-3.mdv2007.0.mde conflicts with file from package libkdemultimedia1-common-3.5.4-6mdv2007.0

cosa devo fare??non sono tanto esperto...ma voglio imparare!

Ritratto di freed
freed
(Guru)
Offline
Guru
Iscritto: 23/10/2006
Messaggi: 1624

boh a vedere la lista puoi provare a disinstallare manualmente il pacchetto libkdemultimedia1-common-3.5.4-6mdv2007.0 che impedisce l'installazione di tutti i pacchetti della lista

Ritratto di sneik85
sneik85
(Junior)
Offline
Junior
Iscritto: 31/10/2006
Messaggi: 6

ma la procedura da seguire quale sarebbe? mi è venuto in mente che se installo per esempio kdebase che fine fa kdebase che è già installato?in teoria non dovrebbe creare conflitto?e allora...prima di installare devo eliminare i pacchetti e sempre nella stessa sessione installare quelli nuovi?bu non so è possibile che stia farneticando, ditemi voi!

Ritratto di freed
freed
(Guru)
Offline
Guru
Iscritto: 23/10/2006
Messaggi: 1624

mu tu da quali mirror li prendi?
se li prendi da tachs (dove il kde nuovo è praticamente completo)
la cosa è un pò complicata (vedi http://www.mandrakeitalia.org/modules/news/article.php?storyid=819)
se invece li prendi dai cooker (dove però il kde nuovo non è ancora completo) non dovrebbero esserci grossi problemi di dipendenze apparte la disinstallazione di kdegames e atlantik (vedi gli aggiornamenti cooker di moreno in particolare quello del 26 http://www.mandrakeitalia.org/modules/news02/article.php?storyid=1012)

Ritratto di sneik85
sneik85
(Junior)
Offline
Junior
Iscritto: 31/10/2006
Messaggi: 6

allora io ho i mirror di thacs e poi altri quali contrib main etc....prima avevo solo thacs e dava problemi di dipendenze...poi ho installato tutti i mirror possibili consigliati in easyurpm e NON HO PROBLEMI DI DIPENDENZE...lo scaricamento dei pacchetti lo conclude...solo che NON INSTALLA perchè qualcosa va in conflitto per qualche allegro motivo...che procedura devo seguire?

Ritratto di magic
magic
(Geek)
Offline
Geek
Iscritto: 09/12/2004
Messaggi: 160

Io ho aggiornato kde con thacs ,non ho usato urpmi ma smart che non crea tutti questi problemi. Per prima cosa ho installato kdebase e poi il resto. Se vuoi un consiglio non installare da cooker.
Ciao

AMD Athlon64 2800+, ram 1,2 GB; Nvidia GeForce 6200, Audigy Audio Processor, hd 80,160, 250 Gb, Mandriva 2008.1 - Kde 3.5.9 -Kde 4.03 - Kernel 2.6.24.3x85_64, KUbuntu8.04, PCLinux 2008.

Ritratto di sneik85
sneik85
(Junior)
Offline
Junior
Iscritto: 31/10/2006
Messaggi: 6

ehm....cosa è smart?!scusami ma nn so proprio tutto... Sad

Ritratto di pepz84
pepz84
(Guru)
Offline
Guru
Iscritto: 03/08/2005
Messaggi: 662

segui questa guida:
http://www.mandrakeitalia.org/modules/wfsection/article.php?page=1&articleid=145

tutta la procedura va fatta da terminale, a server X fermo.
non puoi pretendere di installare kde se lo stai usando!!!
o lo aggiorni da un altro desktop manager oppure stoppi il server X cambiando runlevel:
telinit 3
fai quello che devi fare e poi rifai partire X con startx
ciao
peppe

User #405280 @ http://counter.li.org

Ritratto di magic
magic
(Geek)
Offline
Geek
Iscritto: 09/12/2004
Messaggi: 160

Smart e un package manager universale. Se per caso hai comprato linux magazine (Novembre 2006) c'è un tutorial che spiega passo passo come usarlo. Per installarlo urpmi smart. Per installare kde non c'è bisogno di uscire da x, io l' ho installato con kde in funzione senza problemi.
ciao

AMD Athlon64 2800+, ram 1,2 GB; Nvidia GeForce 6200, Audigy Audio Processor, hd 80,160, 250 Gb, Mandriva 2008.1 - Kde 3.5.9 -Kde 4.03 - Kernel 2.6.24.3x85_64, KUbuntu8.04, PCLinux 2008.

Ritratto di freed
freed
(Guru)
Offline
Guru
Iscritto: 23/10/2006
Messaggi: 1624

si può fare in entrambi i modi
a proposito voi che avete il kde di tachs il kdm ora vi funziona?
a me ancora no ma non ho aggiornato ultimamente

Ritratto di magic
magic
(Geek)
Offline
Geek
Iscritto: 09/12/2004
Messaggi: 160

Non ho provato se funziona perchè io uso gdm

AMD Athlon64 2800+, ram 1,2 GB; Nvidia GeForce 6200, Audigy Audio Processor, hd 80,160, 250 Gb, Mandriva 2008.1 - Kde 3.5.9 -Kde 4.03 - Kernel 2.6.24.3x85_64, KUbuntu8.04, PCLinux 2008.